import { BaseRequestOptions, BaseService, PaginatedRequestOptions, Sudo } from '../infrastructure';
import { ProjectId, UserId, EventOptions, GroupId, NamespaceId, UploadMetadata } from '.';
declare class Projects extends BaseService {
    all(options?: PaginatedRequestOptions): Promise<import("../infrastructure").GetResponse>;
    archive(projectId: ProjectId, options?: Sudo): Promise<object>;
    create({ userId, ...options }: {
        userId?: UserId;
    } & BaseRequestOptions): Promise<object>;
    edit(projectId: ProjectId, options?: BaseRequestOptions): Promise<object>;
    events(projectId: ProjectId, options?: BaseRequestOptions & EventOptions): Promise<import("../infrastructure").GetResponse>;
    fork(projectId: ProjectId, { forkedFromId, ...options }?: {
        forkedFromId?: number;
    } & BaseRequestOptions): Promise<object>;
    forks(projectId: ProjectId, options?: BaseRequestOptions): Promise<import("../infrastructure").GetResponse>;
    languages(projectId: ProjectId, options?: Sudo): Promise<import("../infrastructure").GetResponse>;
    mirrorPull(projectId: ProjectId, options?: Sudo): Promise<object>;
    remove(projectId: ProjectId, options?: Sudo): Promise<object>;
    removeFork(projectId: ProjectId, options?: Sudo): Promise<object>;
    search(projectName: string): Promise<import("../infrastructure").GetResponse>;
    share(projectId: ProjectId, groupId: GroupId, groupAccess: number, options?: BaseRequestOptions): Promise<object>;
    show(projectId: ProjectId, options?: BaseRequestOptions): Promise<import("../infrastructure").GetResponse>;
    star(projectId: ProjectId, options?: Sudo): Promise<object>;
    statuses(projectId: ProjectId, sha: string, state: string, options?: BaseRequestOptions): Promise<object>;
    transfer(projectId: ProjectId, namespaceId: NamespaceId): Promise<object>;
    unarchive(projectId: ProjectId, options?: Sudo): Promise<object>;
    unshare(projectId: ProjectId, groupId: GroupId, options?: Sudo): Promise<object>;
    unstar(projectId: ProjectId, options?: Sudo): Promise<object>;
    updatePushRule(projectId: ProjectId, options?: BaseRequestOptions): Promise<object>;
    upload(projectId: any, content: any, { metadata, sudo }?: {
        metadata?: UploadMetadata;
    } & Sudo): Promise<object>;
}
export default Projects;
