import { BaseRequestOptions, BaseService, PaginatedRequestOptions, Sudo } from '../infrastructure';
import { ProjectId, JobId, PipelineId, JobScope } from '.';
declare class Jobs extends BaseService {
    all(projectId: ProjectId, options?: PaginatedRequestOptions): Promise<import("../infrastructure").GetResponse>;
    cancel(projectId: ProjectId, jobId: JobId, options?: Sudo): Promise<object>;
    downloadSingleArtifactFile(projectId: ProjectId, jobId: JobId, artifactPath: string, { stream, ...options }: {
        stream?: boolean;
    } & BaseRequestOptions): any;
    downloadLatestArtifactFile(projectId: ProjectId, ref: string, name: string, { stream, ...options }: {
        stream?: boolean;
    } & BaseRequestOptions): any;
    downloadTraceFile(projectId: ProjectId, jobId: JobId, options?: Sudo): Promise<import("../infrastructure").GetResponse>;
    erase(projectId: ProjectId, jobId: JobId, options?: Sudo): Promise<object>;
    eraseArtifacts(projectId: ProjectId, jobId: JobId, options?: Sudo): Promise<object>;
    keepArtifacts(projectId: ProjectId, jobId: JobId, options?: Sudo): Promise<object>;
    play(projectId: ProjectId, jobId: JobId, options?: Sudo): Promise<object>;
    retry(projectId: ProjectId, jobId: JobId, options?: Sudo): Promise<object>;
    show(projectId: ProjectId, jobId: JobId, options?: Sudo): Promise<import("../infrastructure").GetResponse>;
    showPipelineJobs(projectId: ProjectId, pipelineId: PipelineId, options: {
        scope: JobScope;
    } & Sudo): Promise<import("../infrastructure").GetResponse>;
}
export default Jobs;
